Package it.ernytech.tdlib

## Class TdApi.ViewMessages

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.ViewMessages

Enclosing class:
  TdApi

    public static class TdApi.ViewMessages
    extends TdApi.Function

This method should be called if messages are being viewed by the user. Many useful activities depend on whether the messages are currently being viewed or not (e.g., marking messages as read, incrementing a view counter, updating a view counter, removing deleted messages in supergroups and channels).

Returns `Ok`

### Field Summary

Fields
`long` `chatId` Chat identifier.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`boolean` `forceRead` True, if messages in closed chats should be marked as read.
`long[]` `messageIds` The identifiers of the messages being viewed.

### Constructor Summary

Constructors
`ViewMessages()` Default constructor.
`ViewMessages​(long chatId, long[] messageIds, boolean forceRead)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### chatId

    public long chatId

Chat identifier.

#### messageIds

    public long[] messageIds

The identifiers of the messages being viewed.

#### forceRead

    public boolean forceRead

True, if messages in closed chats should be marked as read.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### ViewMessages

    public ViewMessages()

Default constructor.

#### ViewMessages

    public ViewMessages​(long chatId,
                        long[] messageIds,
                        boolean forceRead)

Constructor for initialization of all fields.

Parameters:
  `chatId` - Chat identifier.
  `messageIds` - The identifiers of the messages being viewed.
  `forceRead` - True, if messages in closed chats should be marked as read.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR